import scipy.stats as ss
import numpy as np
import matplotlib.pyplot as plt

rho = float(input('rho = '))
n = int(input('n = '))

while True:
    #
    #          データのサンプリング
    #
    data = ss.multivariate_normal.rvs(mean=[0, 0], cov=[[1, rho],[rho, 1]],
                                      size=n)
    #
    #          相関係数の計算
    #
    results = ss.pearsonr(data.T[0], data.T[1])
    r = results.statistic
    p = results.pvalue
    #
    #          信頼区間の計算
    #
    vL, vU = results.confidence_interval(0.95)

    plt.scatter(data.T[0], data.T[1])
    plt.title(f'$\\rho$ = {rho},   n = {n}\n' + \
              f'r = {r:.3f},  p = {p:.5f},  95% CI = [{vL:.3f}, {vU:.3f}]')
    plt.show()
    print('次に進む -> Nキー、　　終了 -> Eキー')
    ck = input('N or E ? ')
    if ck in ['E', 'e']:
        break
